#!/Perl5.10/bin/perl
use Image::Magick;
#
# Get image file names.
#
opendir(DIR, ".");
@imagefiles = grep(/_qs\.jpg$/i,readdir(DIR));
closedir(DIR);
#
# Read and reduce images.
#
$images=Image::Magick->new();
foreach $imagefile (sort @imagefiles){
	print $imagefile,"\n";
	$image=Image::Magick->new();
	$x=$image->ReadImage($imagefile);
	warn "$x" if "$x";
	$copy=$image->Clone();
	$copy->Set(page=>'0x0+0+0');
	$copy->AdaptiveResize('25%');
	push(@$images,$copy);
}
#
# Create image montage.
#
print "Montage...\n";
$montage=$images->Montage(geometry=>'80x80+10+5>',gravity=>'Center',
  tile=>'5x',compose=>'over',background=>'#ffffff',
  font=>'Generic.ttf',pointsize=>18,fill=>'#600',stroke=>'none',
  shadow=>'true');
print "Write...\n";
$montage->Set(matte=>'false');
$montage->Write('montage.jpg');
print "Display...\n";
$montage->Write('win:');
